Subject: RE: [rohc] TCP profile - use of compressed_value

From: "Finking, Robert" <[email-masked]>
Date: Mon, 8 Nov 2004 08:55:00 -0000

OK, sounds good, so we need to update the FN draft to reflect this. We did
talk a while back about defining some (or all?!) of the encoding methods in
the FN - this would nail issues like this.

On the TCP profile side of things, I still thing it would be easier to read
if we were explicit and used uncompressed value both times, first time to
say it's 16 bits long second time to say it's zero bits long. It's just more
obvious to the reader. But like I said it's fairly minor so I'm not going to
get all bothered about it!

Cheers

Raffles

> -----Original Message-----
> From: Carsten Bormann [mailto:[email-masked]] 
> Sent: Saturday, November 06, 2004 1:01 PM
> To: Finking, Robert
> Cc: Carsten Bormann; [email-masked]'
> Subject: Re: [rohc] TCP profile - use of compressed_value
> 
> <snip> 
>
> Actually, a while ago we decided that compressed_value defines the 
> uncompressed aspect as zero length and uncompressed_value defines the 
> compressed aspect as zero length.
> Therefore, the following three lines are exactly equivalent in 
> semantics:
> 
> foo ::= irregular(0);
> foo ::= compressed_value(0,0);
> foo ::= uncompressed_value(0,0);
> 
> Gruesse, Carsten
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc